com.h3c.util.pkt

## Enum Ethernet.VlanPriority

- java.lang.Object
- - java.lang.Enum<Ethernet.VlanPriority>
  - - com.h3c.util.pkt.Ethernet.VlanPriority

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<Ethernet.VlanPriority>
  Enclosing class:
    Ethernet

      public static enum Ethernet.VlanPriority
      extends Enum<Ethernet.VlanPriority>
      implements ProtocolEnum

  VLAN Priorities.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PRIORITY_0` Background priority (level 0 - lowest).
    `PRIORITY_1` Best effort priority (level 1 - normal).
    `PRIORITY_2` Excellent effort priority (level 2).
    `PRIORITY_3` Critical application priority (level 3).
    `PRIORITY_4` Video priority (level 4).
    `PRIORITY_5` Voice priority (level 5).
    `PRIORITY_6` Inter-network control priority (level 6).
    `PRIORITY_7` Network control priority (level 7 - highest).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static Ethernet.VlanPriority` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Ethernet.VlanPriority[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIORITY_0

          public static final Ethernet.VlanPriority PRIORITY_0

      Background priority (level 0 - lowest).

    - #### PRIORITY_1

          public static final Ethernet.VlanPriority PRIORITY_1

      Best effort priority (level 1 - normal). Note that encoding is 0.

    - #### PRIORITY_2

          public static final Ethernet.VlanPriority PRIORITY_2

      Excellent effort priority (level 2).

    - #### PRIORITY_3

          public static final Ethernet.VlanPriority PRIORITY_3

      Critical application priority (level 3).

    - #### PRIORITY_4

          public static final Ethernet.VlanPriority PRIORITY_4

      Video priority (level 4).

    - #### PRIORITY_5

          public static final Ethernet.VlanPriority PRIORITY_5

      Voice priority (level 5).

    - #### PRIORITY_6

          public static final Ethernet.VlanPriority PRIORITY_6

      Inter-network control priority (level 6).

    - #### PRIORITY_7

          public static final Ethernet.VlanPriority PRIORITY_7

      Network control priority (level 7 - highest).

  - ### Method Detail

    - #### values

          public static Ethernet.VlanPriority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Ethernet.VlanPriority c : Ethernet.VlanPriority.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Ethernet.VlanPriority valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.